<h1 mat-dialog-title>Upload image</h1>
<mat-divider></mat-divider>
<div mat-dialog-content>
  <div class="upload-frame">
    <div class="dropzone" *ngIf="!percentage" appDropzone (hovered)="toggleHover($event)"
      (dropped)="startUpload($event)" [class.hovering]="isHovering">
      <p style="color: #aaa; font-size: 20pt; padding: 0 10px;">Drag a photo here</p>
      <div class="upload-btn-wrapper">
        <button class="btn">Select a photo from your computer</button>
        <input type="file" (change)="startUpload($event.target.files)">
      </div>
    </div>
    <div *ngIf="!downloadURL">
      <div *ngIf="percentage | async as pct">
        <p>
          <ngb-progressbar type="success" [value]="pct" [striped]="true" [animated]="true"><i> {{ pct | number }}%</i>
          </ngb-progressbar>
        </p>
        <div *ngIf="(snapshot | async) as snap" class="d-flex justify-content-center">
          <button mat-stroked-button (click)="task.pause()" [disabled]="!isActive(snap)"
            class="mr-2 ml-2">Pause</button>
          <button mat-stroked-button (click)="task.cancel()" [disabled]="!isActive(snap)"
            class="mr-2 ml-2">Cancel</button>
          <button mat-stroked-button (click)="task.resume()" [disabled]="!(snap?.state === 'paused')"
            class="mr-2 ml-2">Resume</button>
        </div>
      </div>
    </div>
    <div *ngIf="downloadURL as url">
      <img [src]="url" width="100%"><br>
    </div>
  </div>
</div>
<mat-divider></mat-divider>
<div mat-dialog-actions class="d-flex justify-content-end">
  <button mat-button (click)="close()">Close</button>
  <button mat-button (click)="uploadAgain()" *ngIf="downloadURL">Upload again</button>
  <button mat-button [mat-dialog-close]="downloadURL" cdkFocusInitial *ngIf="downloadURL">Save</button>
</div>
